Package htsjdk.samtools

# Enum Class SAMTag

java.lang.Object
java.lang.Enum<SAMTag>
htsjdk.samtools.SAMTag

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMTag>`, `Constable`

public enum SAMTag extends Enum<SAMTag>
The standard tags for a SAM record that are defined in the SAM spec.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AM`
`AS`
`BC`
`BQ`
`BZ`
`CB`
`CC`
`CG`
`CM`
`CO`
`CP`
`CQ`
`CR`
`CS`
`CT`
`CY`
`E2`
`FI`
`FS`
`FT`
`FZ`
`GC`
Deprecated.
for backwards compatibility only
`GQ`
Deprecated.
for backwards compatibility only
`GS`
Deprecated.
for backwards compatibility only
`H0`
`H1`
`H2`
`HI`
`IH`
`LB`
`MC`
`MD`
`MF`
Deprecated.
for backwards compatibility only
`MI`
`MQ`
`NH`
`NM`
`OA`
`OC`
`OF`
`OP`
`OQ`
`OR`
`OX`
`PG`
`PQ`
`PT`
`PU`
`Q2`
`QT`
`QX`
`R2`
`RG`
`RT`
Deprecated.
use BC instead, for backwards compatibilty only
`RX`
`S2`
Deprecated.
for backwards compatibility only
`SA`
`SM`
`SQ`
Deprecated.
for backwards compatibility only
`TC`
`U2`
`UQ`

## Method Summary

Modifier and Type
Method
Description
`short`
`getBinaryTag()`
Get the binary representation of this tag name.
`static short`
`makeBinaryTag(String tag)`
Convert from String representation of tag name to short representation.
`static String`
`makeStringTag(short tag)`
Convert from short representation of tag name to String representation.
`static SAMTag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMTag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AM

public static final SAMTag AM

### AS

public static final SAMTag AS

### BC

public static final SAMTag BC

### BQ

public static final SAMTag BQ

### BZ

public static final SAMTag BZ

### CB

public static final SAMTag CB

### CC

public static final SAMTag CC

### CG

public static final SAMTag CG

### CM

public static final SAMTag CM

### CO

public static final SAMTag CO

### CP

public static final SAMTag CP

### CQ

public static final SAMTag CQ

### CR

public static final SAMTag CR

### CS

public static final SAMTag CS

### CT

public static final SAMTag CT

### CY

public static final SAMTag CY

### E2

public static final SAMTag E2

### FI

public static final SAMTag FI

### FS

public static final SAMTag FS

### FT

public static final SAMTag FT

### FZ

public static final SAMTag FZ

### GC

@Deprecated public static final SAMTag GC
Deprecated.
for backwards compatibility only

### GS

@Deprecated public static final SAMTag GS
Deprecated.
for backwards compatibility only

### GQ

@Deprecated public static final SAMTag GQ
Deprecated.
for backwards compatibility only

### LB

public static final SAMTag LB

### H0

public static final SAMTag H0

### H1

public static final SAMTag H1

### H2

public static final SAMTag H2

### HI

public static final SAMTag HI

### IH

public static final SAMTag IH

### MC

public static final SAMTag MC

### MF

@Deprecated public static final SAMTag MF
Deprecated.
for backwards compatibility only

### MI

public static final SAMTag MI

### MD

public static final SAMTag MD

### MQ

public static final SAMTag MQ

### NH

public static final SAMTag NH

### NM

public static final SAMTag NM

### OA

public static final SAMTag OA

### OQ

public static final SAMTag OQ

### OP

public static final SAMTag OP

### OC

public static final SAMTag OC

### OF

public static final SAMTag OF

### OR

public static final SAMTag OR

### OX

public static final SAMTag OX

### PG

public static final SAMTag PG

### PQ

public static final SAMTag PQ

### PT

public static final SAMTag PT

### PU

public static final SAMTag PU

### Q2

public static final SAMTag Q2

### QT

public static final SAMTag QT

### QX

public static final SAMTag QX

### R2

public static final SAMTag R2

### RG

public static final SAMTag RG

### RT

@Deprecated public static final SAMTag RT
Deprecated.
use BC instead, for backwards compatibilty only

### RX

public static final SAMTag RX

### S2

@Deprecated public static final SAMTag S2
Deprecated.
for backwards compatibility only

### SA

public static final SAMTag SA

### SM

public static final SAMTag SM

### SQ

@Deprecated public static final SAMTag SQ
Deprecated.
for backwards compatibility only

### TC

public static final SAMTag TC

### U2

public static final SAMTag U2

### UQ

public static final SAMTag UQ

## Method Details

### values

public static SAMTag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMTag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### makeBinaryTag

public static short makeBinaryTag(String tag)
Convert from String representation of tag name to short representation.

Parameters:
  `tag` - 2-character String representation of a tag name.
Returns:
  Tag name packed as 2 ASCII bytes in a short.

### makeStringTag

public static String makeStringTag(short tag)
Convert from short representation of tag name to String representation.

Parameters:
  `tag` - Tag name packed as 2 ASCII bytes in a short.
Returns:
  2-character String representation of a tag name.

### getBinaryTag

public short getBinaryTag()
Get the binary representation of this tag name.

Returns:
  the binary representation of this tag name
See Also:
  - `makeBinaryTag(String)`